<template>
	<view>
		<view class="tab">
			<u-tabs :list="tab" @click="click" :lineHeight="5"></u-tabs>
		</view>
		<view class="goodsList">
			<view class="item" v-for="(item, index) in list" :key="index" @click="detail(item)">
				<view class="title">{{ item.purchaserName }}</view>
				<view class="state" v-if="item.isPay == 1 && item.payTax == 0">
					<text class="icon" style="color: #4581fb">&#xe830;</text>
					<text>已支付</text>
				</view>
				<view class="state" v-if="item.orderFinish == 1">
					<text class="icon" style="color: #13ce66">&#xe830;</text>
					<text>已完成</text>
				</view>
				<image src="../../../../../static/news.jpg" mode="aspectFill" class="pic"></image>
				<view class="con">
					<view class="productName omit">{{ item.goodsName }}</view>
					<view class="desc omit">
						<text>{{ item.goodsQuantity }} {{ item.goodsUnit }}</text>
						<text>{{ item.tradeAreaName }}</text>
					</view>
					<view class="price">金额 ¥ {{ item.resalePrice }}</view>
				</view>
				<view class="clear"></view>
				<view class="op">
					<view class="date">{{ item.createTime }}</view>
					<!-- 					<view class="an" style="color: #f44336" v-if="item.isDelivery == 0" @click.stop="toDelivery(item.id)">确认收货</view>
					<view class="an" style="color: #4581fb">物流详情</view> -->
				</view>
			</view>
			<view class="loading" v-if="loadMore"><u-loadmore :status="loadMore ? 'loading' : 'nomore'" /></view>
			<u-empty v-if="!loadMore && list.length == 0"></u-empty>
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			tab: [
				{ name: '全部', orderFinish: '', isDelivery: '' },
				{ name: '待收货', orderFinish: 0, isDelivery: 0 },
				{ name: '已完成', orderFinish: 1, isDelivery: 1 }
			],
			param: { pageNo: 1, pageSize: 10 },
			list: [],
			loadMore: true
		};
	},
	onLoad() {
		this.getData();
		uni.$on('goodsHandle', res => {
			this.refresh();
		});
	},
	methods: {
		getData() {
			this.http.request({
				url: '/level-two-server/app/TbOrders/getPurchaserOrderList',
				loading: 'false',
				data: this.param,
				success: res => {
					this.loadMore = parseInt(res.data.pageCount) > this.param.pageNo;
					this.list.push(...res.data.data);
				}
			});
		},
		//点击tab切换
		click(e) {
			this.param.orderFinish = e.orderFinish;
			this.param.isDelivery = e.isDelivery;
			this.refresh();
		},
		toDelivery(id) {
			this.http.request({
				url: '/level-two-server/app/TbOrders/toDelivery',
				loading: 'false',
				data: { id: id, orderFinish: 1, isDelivery: 1 },
				success: res => {
					this.refresh();
				}
			});
		},
		del(id) {
			uni.showModal({
				title: '提示',
				content: '确定删除?',
				success: res => {
					if (res.confirm) {
						this.http.request({
							url: '/level-one-server/app/TbGoodsTransit/deleteById?id=' + id,
							success: res => {
								uni.showToast({ title: '删除成功' });
								this.refresh();
							}
						});
					}
				}
			});
		},
		detail(item) {
			uni.navigateTo({ url: '/pages/market/two/purchaser/order/detail?id=' + item.id });
		},
		//刷新数据
		refresh() {
			this.loadMore = true;
			this.param.pageNo = 1;
			this.list = [];
			this.getData();
		}
	},
	//下拉刷新
	onPullDownRefresh() {
		setTimeout(() => {
			this.refresh();
			uni.stopPullDownRefresh();
		}, 1000);
	},
	//上拉加载
	onReachBottom() {
		if (this.loadMore) {
			this.param.pageNo++;
			this.getData();
		}
	}
};
</script>

<style lang="scss">
page {
	background-color: $pg;
}
</style>
